﻿using System.Web.Mvc;
using DS.Web.Mvc.PathHelper;

namespace MVCTest.Controllers
{
    [HandleError]
    [NewPath("Demo", Controller = "Home", Action = "Index")]
    public class HomeController : Controller
    {
        [NewPath("首页", Controller = "Home", Action = "Index")]
        public ActionResult Index()
        {
            ViewData["Message"] = "欢迎使用 ASP.NET MVC!";
            return View();
        }

        public ActionResult About()
        {
            this.SetNewPath("关于", new { Controller = "Home", Action = "About" });
            return View();
        }
    }
}